#!/bin/bash
cd /home/wareck
if [ -r bitcoin-sv ]
then
cd bitcoin-sv
git pull
else
git clone https://github.com/bitcoin-sv/bitcoin-sv.git
cd bitcoin-sv
fi
sudo apt-get update
sudo apt-get install build-essential libtool autotools-dev automake pkg-config libssl-dev libevent-dev bsdmainutils -y
sudo apt-get install libboost-all-dev libdb-dev libdb++-dev libminiupnpc-dev libgoogle-perftools-dev libzmq3-dev -y
sudo add-apt-repository ppa:ubuntu-toolchain-r/test
sudo apt update
sudo apt install g++-10 -y
sudo update-alternatives --remove-all gcc
sudo update-alternatives --remove-all g++
sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-10 10
sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-10 10
sudo update-alternatives --install /usr/bin/cc cc /usr/bin/gcc 30
sudo update-alternatives --set cc /usr/bin/gcc
sudo update-alternatives --install /usr/bin/c++ c++ /usr/bin/g++ 30
sudo update-alternatives --set c++ /usr/bin/g++
sudo update-alternatives --config gcc
sudo update-alternatives --config g++
cd depends
make download
make
cd ..
./autogen.sh
CONFIG_SITE=/home/wareck/bitcoin-sv/depends/x86_64-pc-linux-gnu/share/config.site ./configure --prefix=/home/wareck/bitcoinsv_binary/
make
make install
